org.fourthline.cling.support.avtransport

## Enum AVTransportErrorCode

- java.lang.Object
- - java.lang.Enum<AVTransportErrorCode>
  - - org.fourthline.cling.support.avtransport.AVTransportErrorCode

- All Implemented Interfaces:
    Serializable, Comparable<AVTransportErrorCode>

      public enum AVTransportErrorCode
      extends Enum<AVTransportErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTENT_BUSY`
    `ILLEGAL_MIME_TYPE`
    `ILLEGAL_SEEK_TARGET`
    `INVALID_INSTANCE_ID`
    `MEDIA_FULL`
    `MEDIA_PROTECTED`
    `NO_CONTENTS`
    `PLAYBACK_FORMAT_NOT_SUPPORTED`
    `PLAYMODE_NOT_SUPPORTED`
    `READ_ERROR`
    `RECORD_FORMAT_NOT_SUPPORTED`
    `RECORDQUALITYMODE_NOT_SUPPORTED`
    `RESOURCE_NOT_FOUND`
    `SEEKMODE_NOT_SUPPORTED`
    `TRANSITION_NOT_AVAILABLE`
    `TRANSPORT_LOCKED`
    `WRITE_ERROR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AVTransportErrorCode` | `getByCode(int code)`
    `int` | `getCode()`
    `String` | `getDescription()`
    `static AVTransportErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AVTransportErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANSITION_NOT_AVAILABLE

          public static final AVTransportErrorCode TRANSITION_NOT_AVAILABLE

    - #### NO_CONTENTS

          public static final AVTransportErrorCode NO_CONTENTS

    - #### READ_ERROR

          public static final AVTransportErrorCode READ_ERROR

    - #### PLAYBACK_FORMAT_NOT_SUPPORTED

          public static final AVTransportErrorCode PLAYBACK_FORMAT_NOT_SUPPORTED

    - #### TRANSPORT_LOCKED

          public static final AVTransportErrorCode TRANSPORT_LOCKED

    - #### WRITE_ERROR

          public static final AVTransportErrorCode WRITE_ERROR

    - #### MEDIA_PROTECTED

          public static final AVTransportErrorCode MEDIA_PROTECTED

    - #### RECORD_FORMAT_NOT_SUPPORTED

          public static final AVTransportErrorCode RECORD_FORMAT_NOT_SUPPORTED

    - #### MEDIA_FULL

          public static final AVTransportErrorCode MEDIA_FULL

    - #### SEEKMODE_NOT_SUPPORTED

          public static final AVTransportErrorCode SEEKMODE_NOT_SUPPORTED

    - #### ILLEGAL_SEEK_TARGET

          public static final AVTransportErrorCode ILLEGAL_SEEK_TARGET

    - #### PLAYMODE_NOT_SUPPORTED

          public static final AVTransportErrorCode PLAYMODE_NOT_SUPPORTED

    - #### RECORDQUALITYMODE_NOT_SUPPORTED

          public static final AVTransportErrorCode RECORDQUALITYMODE_NOT_SUPPORTED

    - #### ILLEGAL_MIME_TYPE

          public static final AVTransportErrorCode ILLEGAL_MIME_TYPE

    - #### CONTENT_BUSY

          public static final AVTransportErrorCode CONTENT_BUSY

    - #### RESOURCE_NOT_FOUND

          public static final AVTransportErrorCode RESOURCE_NOT_FOUND

    - #### INVALID_INSTANCE_ID

          public static final AVTransportErrorCode INVALID_INSTANCE_ID

  - ### Method Detail

    - #### values

          public static AVTransportErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AVTransportErrorCode c : AVTransportErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AVTransportErrorCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### getDescription

          public String getDescription()

    - #### getByCode

          public static AVTransportErrorCode getByCode(int code)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.